GNU logs - #50174, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 23 Aug 2021 20:53:02 +0000
Resent-Message-ID: <handler.50174.B.16297519301678 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50174 <at> debbugs.gnu.org
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16297519301678
          (code B ref -1); Mon, 23 Aug 2021 20:53:02 +0000
Received: (at submit) by debbugs.gnu.org; 23 Aug 2021 20:52:10 +0000
Received: from localhost ([127.0.0.1]:42688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIGvR-0000Qz-CS
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:35540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mIGvM-0000Qm-0Y
 for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48460)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvK-0007Mm-4Q
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:03 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:63078)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvE-0000KC-3X
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:00 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 3D9B0679
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1629751908; x=1631566309;
 bh=kPxGyJproYxkbVySbjQueetwDLNDFK0K3i9tyvh0vQ4=; b=T5k3j+f+Wxsv
 nebyya6kfkVlWWtVZxB0z+6CLE0Mb3au94xFWog7NnqRRXSQGXwyUOclqYzLSOKE
 CXZR0NWG8j9O30nxrhG6cCs6j+cZYRGzy1Xvw0XOh+dsyVi5ASAsu2S4sPQHwDtE
 /5K2KFS5fTlG6k0+5l/Hp3Quy8P+WcviJphauSLUE+FBfeh5W40zguajarnJdaiu
 pd/3M74qFFlP6Ohp5n0rm+yZNBrhgMdyiB6KOenEeqFoom66BtpBSgUab681iuMe
 pJsFwt2bETNF3cecswhhd038nfrz7fabqG6Kr+ycmM12d6Yu3qfICrM+X4oAYA4L
 eJbWnTFVbLFIy20SBfBZW+LMZyqGpB7GOrRqd5enpdeIch095n1ptuawMyeB0qwJ
 ueihtzGuSAlqI2mwXZoZ3PvzzU62kRMw/7sxanzGZV9cqyYF8SiHMK1aydMAxzID
 AQTT5W22jDUKq7TqjS3BtgSeeNetkYSHj97jxB48xYzgDhU0xDB+Kp3Vu+8h/5Mp
 6ZL3/ERcjSxRiLQAtCFrhRrV9pdiGm5h3EbwjdGvCtyre0NE4J6lacjzn+npZs97
 oXDTuj9dGMgbnsdWQ68XFXMS5cIYn9vbB8JNI5ndAOd4WZwxI2v0t+X1whamVcfg
 nivbuL21Meod8I+uvBrSIK5Tx3Rv7AQ=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id srBTMHvZ0QTf for <guix-patches@HIDDEN>;
 Mon, 23 Aug 2021 22:51:48 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 29B08279
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:47 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 196518A8;
 Mon, 23 Aug 2021 22:51:46 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Mon, 23 Aug 2021 17:51:27 -0300
Message-Id: <20210823205127.27102-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=95.128.36.42; envelope-from=bauermann@HIDDEN;
 helo=mx.kolabnow.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/make-bootstrap.scm (%static-inputs)[finalize-with-ld-flags]:
New function.
[map]<match-lambda>: Add new clause to match three elements.
[map]<gawk>: Add linker option.
* guix/build-system/gnu.scm (static-package): Add ‘#:ld-flags’ keyword
argument.
---

Hello,

gawk for ‘static-binaries-tarball’ is failing to build natively, at least for
x86_64-linux¹ and powerpc64le-linux. On both of them, the problem is the same:

--8<---------------cut here---------------start------------->8---
ld: ext.o: in function `load_ext':
/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using 'dlopen' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal_r':
(.text+0x6e0): multiple definition of `_getopt_internal_r'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:404: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal':
(.text+0xcc0): multiple definition of `_getopt_internal'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1187: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x8): multiple definition of `optind'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:50: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x4): multiple definition of `opterr'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:55: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x0): multiple definition of `optopt'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:59: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `getopt':
(.text+0xd20): multiple definition of `getopt'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1206: first defined here
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:663: gawk] Error 1
make[2]: Leaving directory '/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0'
--8<---------------cut here---------------end--------------->8---

This patch fixes it by passing “--allow-multiple-definition” to the linker.

Judging by the CI results, cross-builds seems to be working. I haven’t looked
into what’s different about them.

NB: I wasn’t sure how to write a changelog for ‘%static-inputs’ so I got a bit
creative.

¹ https://ci.guix.gnu.org/build/502639/details

 gnu/packages/make-bootstrap.scm | 14 +++++++++++---
 guix/build-system/gnu.scm       |  8 ++++++--
 2 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 12e59e9f8383..79eb9d60026f 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -260,10 +260,15 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                     `(modify-phases ,phases
                        (delete 'fix-egrep-and-fgrep)))))))
         (finalize (compose static-package
-                           package-with-relocatable-glibc)))
+                           package-with-relocatable-glibc))
+        (finalize-with-ld-flags (lambda (pkg ld-flags)
+                                  (package-with-relocatable-glibc
+                                   (static-package pkg #:ld-flags ld-flags)))))
     `(,@(map (match-lambda
               ((name package)
-               (list name (finalize package))))
+               (list name (finalize package)))
+               ((name package ld-flags)
+                (list name (finalize-with-ld-flags package ld-flags))))
              `(("tar" ,tar)
                ("gzip" ,gzip)
                ("bzip2" ,bzip2)
@@ -272,7 +277,10 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                ("coreutils" ,coreutils)
                ("sed" ,sed)
                ("grep" ,grep)
-               ("gawk" ,gawk)))
+               ("gawk" ,gawk
+                ;; gawk's gnulib defines some getopt symbols which are also in
+                ;; libc.a so this linker option is needed for a static build.
+                "-Wl,--allow-multiple-definition")))
       ("bash" ,static-bash))))
 
 (define %static-binaries
diff --git a/guix/build-system/gnu.scm b/guix/build-system/gnu.scm
index ea91be5bcd0c..acbd5b3a0de4 100644
--- a/guix/build-system/gnu.scm
+++ b/guix/build-system/gnu.scm
@@ -210,7 +210,7 @@ flags for VARIABLE, the associated value is augmented."
   "A version of P linked with `-static-gcc'."
   (package-with-extra-configure-variable p "LDFLAGS" "-static-libgcc"))
 
-(define* (static-package p #:key (strip-all? #t))
+(define* (static-package p #:key (strip-all? #t) (ld-flags #f))
   "Return a statically-linked version of package P.  If STRIP-ALL? is true,
 use `--strip-all' as the arguments to `strip'."
   (package (inherit p)
@@ -220,7 +220,11 @@ use `--strip-all' as the arguments to `strip'."
                   #:strip-flags '("--strip-unneeded")))))
        (substitute-keyword-arguments a
          ((#:configure-flags flags)
-          `(cons* "--disable-shared" "LDFLAGS=-static" ,flags))
+          `(cons* "--disable-shared" (string-append "LDFLAGS=-static"
+                                                    (if ,ld-flags
+                                                        (string-append " " ,ld-flags)
+                                                        ""))
+                  ,flags))
          ((#:strip-flags flags)
           (if strip-all?
               ''("--strip-all")




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: bug#50174: Acknowledgement ([PATCH core-updates-frozen 1/2] gnu:
 make-bootstrap: Fix build of static gawk.)
Message-ID: <handler.50174.B.16297519301678.ack <at> debbugs.gnu.org>
References: <20210823205127.27102-1-bauermann@HIDDEN>
X-Gnu-PR-Message: ack 50174
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50174 <at> debbugs.gnu.org
Date: Mon, 23 Aug 2021 20:53:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 50174 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50174: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50174
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 2/2] gnu: make-bootstrap: Enable tests in static gawk build.
References: <20210823205127.27102-1-bauermann@HIDDEN>
In-Reply-To: <20210823205127.27102-1-bauermann@HIDDEN>
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 23 Aug 2021 21:03:01 +0000
Resent-Message-ID: <handler.50174.B50174.16297525262690 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50174 <at> debbugs.gnu.org
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
Received: via spool by 50174-submit <at> debbugs.gnu.org id=B50174.16297525262690
          (code B ref 50174); Mon, 23 Aug 2021 21:03:01 +0000
Received: (at 50174) by debbugs.gnu.org; 23 Aug 2021 21:02:06 +0000
Received: from localhost ([127.0.0.1]:42705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIH54-0000hK-Bl
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 17:02:06 -0400
Received: from mx.kolabnow.com ([95.128.36.41]:26514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mIH52-0000gp-8x
 for 50174 <at> debbugs.gnu.org; Mon, 23 Aug 2021 17:02:05 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id BE1F2B53
 for <50174 <at> debbugs.gnu.org>; Mon, 23 Aug 2021 23:01:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1629752515; x=1631566916;
 bh=FkmpiQnyhfi9l7dIWympg0FEP1XND2zpPWlrmq3pKs0=; b=PKo7Ojft8cb4
 orvjU6+OXlag+AS9hz2MIRnJ/d58jZIhIH3qS0wvdZnaXwLrVBTvjF0IwL8UVVC0
 SAENBwRc3Zyq/Zi7NXVWmrigW2Ij/xTYk5+X5oNVA3yHS/XZYkI6g8bFGIIUCfWm
 LttX8yK2Ch+eyRiUlTrPt6XIu2EZhc6u921Yr6EWYmLsYo/RgOmp9qrS9xx5NNiU
 eKY/hU72q44V0wjrZi6yycdmvUVVeij2pCIOlUH/KNbIsKdIEPL6SeoMZDIfLObG
 DWbDnEYaLYUmcovlPRApYNc1kAC6y1cUbWeMSImp2ICtbbdddYc/FHKfckJBB8PF
 wL7s+93dg4rpjTDp6Z58gktZSocqhmxCDQfHj+ihvFea1VknMRt7lH99EbrmQ+th
 +FqhLc942eV5wn4ntvfmtrz6Ku3Y/rGzjfkLWn62faIQMlu5lOAQ2GIOSeG/1KnO
 Tfcy6VFbQcDikLM60LPRjT9/6BMmopCIbZz69JGlu8SjKCA/ilIY67InItPJ+tTb
 i3Q/WMRl2ZwFzDUU28AVHySoW7xz3nWcfX31bYIJRZfnXEwj+R1ZnC8ZnWaZSSIq
 +fsYDtNL8VIje5jfw1VchGrkr6JcuRs7V5qwIe0cur7uD1ofhhnkVK2l3cKbtQ5p
 MLGwRP2ATvLhLPFl8IKklJcXBv4Ij4Q=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ii--DHBlx50Z for <50174 <at> debbugs.gnu.org>;
 Mon, 23 Aug 2021 23:01:55 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 7DAD4279
 for <50174 <at> debbugs.gnu.org>; Mon, 23 Aug 2021 23:01:52 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id A32E98D7;
 Mon, 23 Aug 2021 23:01:49 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Mon, 23 Aug 2021 18:01:35 -0300
Message-Id: <20210823210135.27392-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The tests were disabled because gawk’s extension mechanism doesn’t work
when it’s built statically, and some tests fail because of that.

Another alternative is to disable the extension mechanism during
configuration time, which causes the testsuite to pass again.

* gnu/packages/make-bootstrap.scm (%static-inputs)[gawk]<#:tests?>: Remove.
<#:configure-flags>: Add.
---
 gnu/packages/make-bootstrap.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 79eb9d60026f..2b4739b90eba 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -214,7 +214,9 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                    ;; plug-in mechanism just fail on static builds:
                    ;;
                    ;; ./fts.awk:1: error: can't open shared library `filefuncs' for reading (No such file or directory)
-                   #:tests? #f
+                   ;;
+                   ;; Therefore disable extensions support.
+                   #:configure-flags (list "--disable-extensions")
 
                    ,@(substitute-keyword-arguments (package-arguments gawk)
                        ((#:phases phases)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Sep 2021 20:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 16:34:44 2021
Received: from localhost ([127.0.0.1]:39244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOnES-0004VU-Bu
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 16:34:44 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:51398
 helo=ext-mx-out003.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mOnER-0004VD-66
 for control <at> debbugs.gnu.org; Fri, 10 Sep 2021 16:34:43 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id D1F4240BCC
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1631306076; x=1633120477;
 bh=xl8fhc8Z6uI8Ugl5X9fY2mrmiCoLscjsRg7K70j5khI=; b=GzIshsRxd/hq
 /B4IZRHTRraeEeZ0vvh7glQKE2J6WEn6E/4zzNjkxskscVaXHeC/u+p9lfzt/QYO
 H3hlHw0yl6K1a9OuRUWgckwdvqKRuE4rJz1FK4HUaxs+/kaFd6upHFMFNZvoVh6d
 c0ipJ6qKFQYBtvWeEWEoXvvPYM2pYZdIl3ln2xoiUUyw6twx1YQEe3SaTJ9l1KwF
 6vb6F+NiZwPyydmK3rxeXdalKkuvGb2Zk4CDwmv6tsmRyhfZq4cx4z89ur2cTtIR
 rBwPL90iM4KEzK7PXw4IgCvaEfi7Ip768oGqKQs4Ah2S64aBzlMA8WaXI+bM25Uy
 LSO11e1wWBxgCCNRP37c5IGyWyQah+kurDmLG6epNwMHgMTXVWqZOx+2dmxXU59A
 +KhTQWCFXeL5CaiGLmf8i7qdXrXczj1XYk1yBAKuYtKf90HooELqbs4SZ4o9npjc
 6BiWk38SsbNiSsjbQUoSs8zqBBiJMYPJx9nOPE1DqVLWEDuGFcHcXbAdHTXFBaDu
 b8XqEGzItdtb3nHrVh4rnTVo8rsLxPu9bINLPl92hmblYDA8qIbthTmOWqCbJsNQ
 LOzDGHBqwdUanb9SQFcqe4fN4NbUF8cufxZ1djKc1OP5nW/i8m66112PzrbA4bFR
 Ay6Js8GOTWhrKogWMLojDT7dU9bF1yM=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out003.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 3pgl_4sYn1ZD for <control <at> debbugs.gnu.org>;
 Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id 9C51140BCB
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 6C4242EEE
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: GNU Debbugs <control <at> debbugs.gnu.org>
Subject: commands
Date: Fri, 10 Sep 2021 17:34:30 -0300
Message-ID: <11571788.Q7N4Zbcuti@popigai>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

block 50358 by 50174






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 27 Sep 2021 21:39:01 +0000
Resent-Message-ID: <handler.50174.B50174.163277873529064 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Cc: 50174 <at> debbugs.gnu.org
Received: via spool by 50174-submit <at> debbugs.gnu.org id=B50174.163277873529064
          (code B ref 50174); Mon, 27 Sep 2021 21:39:01 +0000
Received: (at 50174) by debbugs.gnu.org; 27 Sep 2021 21:38:55 +0000
Received: from localhost ([127.0.0.1]:43008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUyKt-0007Yi-Iy
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:38:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mUyKr-0007YU-Kr
 for 50174 <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:38:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44470)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mUyKl-0007V6-Vd; Mon, 27 Sep 2021 17:38:47 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36410 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mUyKl-00067F-M7; Mon, 27 Sep 2021 17:38:47 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20210823205127.27102-1-bauermann@HIDDEN>
Date: Mon, 27 Sep 2021 23:38:45 +0200
In-Reply-To: <20210823205127.27102-1-bauermann@HIDDEN> (Thiago Jung
 Bauermann's message of "Mon, 23 Aug 2021 17:51:27 -0300")
Message-ID: <87fstphf6i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Thiago,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to build na=
tively, at least for
> x86_64-linux=C2=B9 and powerpc64le-linux. On both of them, the problem is=
 the same:
>
> ld: ext.o: in function `load_ext':
> /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using 'dlo=
pen' in statically linked applications requires at runtime the shared libra=
ries from the glibc version used for linking
> ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/lib=
c.a(getopt.o): in function `_getopt_internal_r':
> (.text+0x6e0): multiple definition of `_getopt_internal_r'; support/libsu=
pport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getop=
t.c:404: first defined here

I don=E2=80=99t see that on x86_64/i686:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s i686-l=
inux -s aarch64-linux -s armhf-linux --substitute-urls=3Dhttps://ci.guix.gn=
u.org --display-missing
computing 1 package derivations for armhf-linux...
computing 1 package derivations for aarch64-linux...
computing 1 package derivations for i686-linux...
computing 1 package derivations for x86_64-linux...
looking for 4 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org
  50.0% substitutes available (2 out of 4)
  at least 0.0 MiB of nars (compressed)
  0.0 MiB on disk (uncompressed)

  0.0% (0 out of 2) of the missing items are queued
  at least 1,000 queued builds
      i586-gnu: 386 (38.6%)
      powerpc64le-linux: 83 (8.3%)
      x86_64-linux: 527 (52.7%)
      aarch64-linux: 3 (.3%)
      i686-linux: 1 (.1%)
  build rate: .00 builds per hour
      x86_64-linux: 0.00 builds per hour
      i686-linux: 0.00 builds per hour
      aarch64-linux: 0.00 builds per hour
      powerpc64le-linux: 0.00 builds per hour

Substitutes are missing for the following items:
  /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0         =
      armhf-linux
  /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0         =
      aarch64-linux
$ git log |head -1
commit 7c5f01d55634254bea8bad4c9dcc31496efd4fce
--8<---------------cut here---------------end--------------->8---

Could it be that something changed in the meantime?

Thanks,
Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 28 Sep 2021 03:40:01 +0000
Resent-Message-ID: <handler.50174.B50174.16328003736432 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 50174 <at> debbugs.gnu.org
Received: via spool by 50174-submit <at> debbugs.gnu.org id=B50174.16328003736432
          (code B ref 50174); Tue, 28 Sep 2021 03:40:01 +0000
Received: (at 50174) by debbugs.gnu.org; 28 Sep 2021 03:39:33 +0000
Received: from localhost ([127.0.0.1]:43349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV3xt-0001fg-53
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 23:39:33 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:41924
 helo=ext-mx-out003.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mV3xq-0001fQ-De
 for 50174 <at> debbugs.gnu.org; Mon, 27 Sep 2021 23:39:31 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id C68F740589;
 Tue, 28 Sep 2021 05:39:24 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1632800364; x=1634614765; bh=Js1KJfDg+QDcFdnWYTQJzTijBq1J7RUJurL
 qgndfpqY=; b=L7iv4FSbXicRaD9zCpFcvuUgx4f5J2GLj9iF4rKdIjBtNkhpzGH
 wL1TMQk+RroUVpbJNlsamK/lOPXebKjikhtcksgBPpJA2g7pxWCrYgBKIUSlHWie
 DZ40ioMyo8aXAVKkCbD2/Hux31qEHvwNdSo9eJ0TBWmvwfENaOWzpAXrYqO/dtEv
 mf0kYaF8WjRoFqEO9lYjlz1JQ159Tg4dNGpIYXyPlgQP3V/qmzRErsOAQgC2JKUs
 CaqHxeXD0euDClpQ/ENwbmXxfRYl6j80NGGZOUk+jLK2XXnQQckwwnmQ5SQov1vM
 IJidoeszwZADcDCAJKmDvJEEIVPXcXvqOTJv6PLhvZ07U/PXF5V/Ji4xcVJLdBWh
 fLDm11ekxcCDYUx5/+Iz8iJJk4rOZsDFx0v5xmFLfMFEMxc263A4q0VNJ3KVwMgm
 vh7bWcU53o+nmIXh9jcW1JKVqMPCTBo1nA2ulTnL3QSI/Ac2cawerGgLNfbwIaLG
 qoHHfr4B5O2kH+jneM+DU8BrEQ6NfQ1OWyy0TZAa7fDVry1QjJKIdvdr/Aq68esw
 STuR9mU+qzicvT/15qnjya2x6BgGaJWcTMElqlSiDyxiGcPal2tqAoLlDXM8Qjl/
 Mb68pUQXj7cG0/OThvhv8VntC3ooEPwWK3I49sJQ2DpQNbNlhb2Mqywg=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out003.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id PgIpPr1zI2-R; Tue, 28 Sep 2021 05:39:24 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id EFA0A403F1;
 Tue, 28 Sep 2021 05:39:23 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 628A9665;
 Tue, 28 Sep 2021 05:39:23 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Tue, 28 Sep 2021 00:39:17 -0300
Message-ID: <2181202.jG5neBWyxe@popigai>
In-Reply-To: <87fstphf6i.fsf@HIDDEN>
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <87fstphf6i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ludo,

Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludovic Cou=
rt=C3=A8s=20
escreveu:
> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
> > gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to build =
natively, at
> > least for x86_64-linux=C2=B9 and powerpc64le-linux. On both of them, the
> > problem is the same:
> >=20
> > ld: ext.o: in function `load_ext':
> > /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using
> > 'dlopen' in statically linked applications requires at runtime the
> > shared libraries from the glibc version used for linking ld:
> > /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc
> > .a(getopt.o): in function `_getopt_internal_r': (.text+0x6e0): multiple
> > definition of `_getopt_internal_r';
> > support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5
> > .1.0/support/getopt.c:404: first defined here
>=20
> I don=E2=80=99t see that on x86_64/i686:
>=20
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s i686=
=2Dlinux

I=E2=80=99m using the package =E2=80=98static-binaries-tarball=E2=80=99 to =
expose the issue. IIUC,
the static binaries (of which =E2=80=98gawk-static=E2=80=99 is one) aren=E2=
=80=99t used for
bootstrapping on i686-linux and x86_64-linux so you won=E2=80=99t see this =
problem
with =E2=80=98bootstrap-tarballs=E2=80=99 on those platforms.

> -s aarch64-linux -s armhf-linux

OTOH, these platforms do use the static binaries. For some reason which TBH
I didn=E2=80=99t try to investigate, =E2=80=98gawk-static=E2=80=99 cross-bu=
ilds correctly so you=E2=80=99ll only see
this problem on native builds of =E2=80=98bootstrap-tarballs=E2=80=99 or =
=E2=80=98static-binaries-tarball=E2=80=99.

> Substitutes are missing for the following items:
>   /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0      =
=20
>        armhf-linux
> /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0       =20
>       aarch64-linux

Doesn=E2=80=99t this mean that there is indeed a problem with =E2=80=98boot=
strap-tarballs=E2=80=99
on these platforms?

> Could it be that something changed in the meantime?

It doesn=E2=80=99t look like it. The latest CI result for an x86_64-linux n=
ative
build of =E2=80=98static-binaries-tarball=E2=80=99 on =E2=80=98core-updates=
=2Dfrozen=E2=80=99 failed:

https://ci.guix.gnu.org/build/709458/details

Ditto for the =E2=80=98core-updates=E2=80=99 branch:

https://ci.guix.gnu.org/build/825383/details

Also, I can still reproduce the problem on my laptop with current
=E2=80=98core-updates-frozen=E2=80=99 commit 81a34a90d72d (=E2=80=9Cdoc: Up=
date postgresql defaut
socket directory.=E2=80=9D) using:

$ ./pre-inst-env guix build static-binaries-tarball

=2D-=20
Thanks,
Thiago







Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: bug#50174: closed ([PATCH core-updates-frozen 1/2] gnu:
 make-bootstrap: Fix build of static gawk.)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.50174.D50174.16328675567716.ackdone <at> debbugs.gnu.org>
References: <87a6jw9wdj.fsf_-_@HIDDEN>
 <20210823205127.27102-1-bauermann@HIDDEN>
X-Gnu-PR-Message: closed 50174
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Date: Tue, 28 Sep 2021 22:20:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1632867602-7774-0"

This is a multi-part message in MIME format...

------------=_1632867602-7774-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Wed, 29 Sep 2021 00:19:04 +0200
with message-id <87a6jw9wdj.fsf_-_@HIDDEN>
and subject line Re: bug#50174: [PATCH core-updates-frozen 1/2] gnu: make-b=
ootstrap: Fix build of static gawk.
has caused the debbugs.gnu.org bug report #50174,
regarding [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of=
 static gawk.
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
50174: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50174
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1632867602-7774-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 23 Aug 2021 20:52:10 +0000
Received: from localhost ([127.0.0.1]:42688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIGvR-0000Qz-CS
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:35540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mIGvM-0000Qm-0Y
 for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48460)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvK-0007Mm-4Q
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:03 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:63078)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvE-0000KC-3X
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:00 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 3D9B0679
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1629751908; x=1631566309;
 bh=kPxGyJproYxkbVySbjQueetwDLNDFK0K3i9tyvh0vQ4=; b=T5k3j+f+Wxsv
 nebyya6kfkVlWWtVZxB0z+6CLE0Mb3au94xFWog7NnqRRXSQGXwyUOclqYzLSOKE
 CXZR0NWG8j9O30nxrhG6cCs6j+cZYRGzy1Xvw0XOh+dsyVi5ASAsu2S4sPQHwDtE
 /5K2KFS5fTlG6k0+5l/Hp3Quy8P+WcviJphauSLUE+FBfeh5W40zguajarnJdaiu
 pd/3M74qFFlP6Ohp5n0rm+yZNBrhgMdyiB6KOenEeqFoom66BtpBSgUab681iuMe
 pJsFwt2bETNF3cecswhhd038nfrz7fabqG6Kr+ycmM12d6Yu3qfICrM+X4oAYA4L
 eJbWnTFVbLFIy20SBfBZW+LMZyqGpB7GOrRqd5enpdeIch095n1ptuawMyeB0qwJ
 ueihtzGuSAlqI2mwXZoZ3PvzzU62kRMw/7sxanzGZV9cqyYF8SiHMK1aydMAxzID
 AQTT5W22jDUKq7TqjS3BtgSeeNetkYSHj97jxB48xYzgDhU0xDB+Kp3Vu+8h/5Mp
 6ZL3/ERcjSxRiLQAtCFrhRrV9pdiGm5h3EbwjdGvCtyre0NE4J6lacjzn+npZs97
 oXDTuj9dGMgbnsdWQ68XFXMS5cIYn9vbB8JNI5ndAOd4WZwxI2v0t+X1whamVcfg
 nivbuL21Meod8I+uvBrSIK5Tx3Rv7AQ=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id srBTMHvZ0QTf for <guix-patches@HIDDEN>;
 Mon, 23 Aug 2021 22:51:48 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 29B08279
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:47 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 196518A8;
 Mon, 23 Aug 2021 22:51:46 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of
 static gawk.
Date: Mon, 23 Aug 2021 17:51:27 -0300
Message-Id: <20210823205127.27102-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=95.128.36.42; envelope-from=bauermann@HIDDEN;
 helo=mx.kolabnow.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/make-bootstrap.scm (%static-inputs)[finalize-with-ld-flags]:
New function.
[map]<match-lambda>: Add new clause to match three elements.
[map]<gawk>: Add linker option.
* guix/build-system/gnu.scm (static-package): Add ‘#:ld-flags’ keyword
argument.
---

Hello,

gawk for ‘static-binaries-tarball’ is failing to build natively, at least for
x86_64-linux¹ and powerpc64le-linux. On both of them, the problem is the same:

--8<---------------cut here---------------start------------->8---
ld: ext.o: in function `load_ext':
/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using 'dlopen' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal_r':
(.text+0x6e0): multiple definition of `_getopt_internal_r'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:404: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal':
(.text+0xcc0): multiple definition of `_getopt_internal'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1187: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x8): multiple definition of `optind'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:50: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x4): multiple definition of `opterr'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:55: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x0): multiple definition of `optopt'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:59: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `getopt':
(.text+0xd20): multiple definition of `getopt'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1206: first defined here
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:663: gawk] Error 1
make[2]: Leaving directory '/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0'
--8<---------------cut here---------------end--------------->8---

This patch fixes it by passing “--allow-multiple-definition” to the linker.

Judging by the CI results, cross-builds seems to be working. I haven’t looked
into what’s different about them.

NB: I wasn’t sure how to write a changelog for ‘%static-inputs’ so I got a bit
creative.

¹ https://ci.guix.gnu.org/build/502639/details

 gnu/packages/make-bootstrap.scm | 14 +++++++++++---
 guix/build-system/gnu.scm       |  8 ++++++--
 2 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 12e59e9f8383..79eb9d60026f 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -260,10 +260,15 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                     `(modify-phases ,phases
                        (delete 'fix-egrep-and-fgrep)))))))
         (finalize (compose static-package
-                           package-with-relocatable-glibc)))
+                           package-with-relocatable-glibc))
+        (finalize-with-ld-flags (lambda (pkg ld-flags)
+                                  (package-with-relocatable-glibc
+                                   (static-package pkg #:ld-flags ld-flags)))))
     `(,@(map (match-lambda
               ((name package)
-               (list name (finalize package))))
+               (list name (finalize package)))
+               ((name package ld-flags)
+                (list name (finalize-with-ld-flags package ld-flags))))
              `(("tar" ,tar)
                ("gzip" ,gzip)
                ("bzip2" ,bzip2)
@@ -272,7 +277,10 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                ("coreutils" ,coreutils)
                ("sed" ,sed)
                ("grep" ,grep)
-               ("gawk" ,gawk)))
+               ("gawk" ,gawk
+                ;; gawk's gnulib defines some getopt symbols which are also in
+                ;; libc.a so this linker option is needed for a static build.
+                "-Wl,--allow-multiple-definition")))
       ("bash" ,static-bash))))
 
 (define %static-binaries
diff --git a/guix/build-system/gnu.scm b/guix/build-system/gnu.scm
index ea91be5bcd0c..acbd5b3a0de4 100644
--- a/guix/build-system/gnu.scm
+++ b/guix/build-system/gnu.scm
@@ -210,7 +210,7 @@ flags for VARIABLE, the associated value is augmented."
   "A version of P linked with `-static-gcc'."
   (package-with-extra-configure-variable p "LDFLAGS" "-static-libgcc"))
 
-(define* (static-package p #:key (strip-all? #t))
+(define* (static-package p #:key (strip-all? #t) (ld-flags #f))
   "Return a statically-linked version of package P.  If STRIP-ALL? is true,
 use `--strip-all' as the arguments to `strip'."
   (package (inherit p)
@@ -220,7 +220,11 @@ use `--strip-all' as the arguments to `strip'."
                   #:strip-flags '("--strip-unneeded")))))
        (substitute-keyword-arguments a
          ((#:configure-flags flags)
-          `(cons* "--disable-shared" "LDFLAGS=-static" ,flags))
+          `(cons* "--disable-shared" (string-append "LDFLAGS=-static"
+                                                    (if ,ld-flags
+                                                        (string-append " " ,ld-flags)
+                                                        ""))
+                  ,flags))
          ((#:strip-flags flags)
           (if strip-all?
               ''("--strip-all")



------------=_1632867602-7774-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50174-done) by debbugs.gnu.org; 28 Sep 2021 22:19:16 +0000
Received: from localhost ([127.0.0.1]:47249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVLRU-00020O-1P
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 18:19:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mVLRR-000207-Me
 for 50174-done <at> debbugs.gnu.org; Tue, 28 Sep 2021 18:19:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32822)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mVLRM-0000tB-CR; Tue, 28 Sep 2021 18:19:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36412 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mVLRK-0000aX-Dy; Tue, 28 Sep 2021 18:19:08 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: bug#50174: [PATCH core-updates-frozen 1/2] gnu: make-bootstrap:
 Fix build of static gawk.
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <87fstphf6i.fsf@HIDDEN> <2181202.jG5neBWyxe@popigai>
Date: Wed, 29 Sep 2021 00:19:04 +0200
In-Reply-To: <2181202.jG5neBWyxe@popigai> (Thiago Jung Bauermann's message of
 "Tue, 28 Sep 2021 00:39:17 -0300")
Message-ID: <87a6jw9wdj.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50174-done
Cc: 50174-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Thiago,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludovic C=
ourt=C3=A8s=20
> escreveu:
>> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
>> > gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to build=
 natively, at
>> > least for x86_64-linux=C2=B9 and powerpc64le-linux. On both of them, t=
he
>> > problem is the same:
>> >=20
>> > ld: ext.o: in function `load_ext':
>> > /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using
>> > 'dlopen' in statically linked applications requires at runtime the
>> > shared libraries from the glibc version used for linking ld:
>> > /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc
>> > .a(getopt.o): in function `_getopt_internal_r': (.text+0x6e0): multiple
>> > definition of `_getopt_internal_r';
>> > support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5
>> > .1.0/support/getopt.c:404: first defined here
>>=20
>> I don=E2=80=99t see that on x86_64/i686:
>>=20
>> --8<---------------cut here---------------start------------->8---
>> $ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s i68=
6-linux
>
> I=E2=80=99m using the package =E2=80=98static-binaries-tarball=E2=80=99 t=
o expose the issue. IIUC,
> the static binaries (of which =E2=80=98gawk-static=E2=80=99 is one) aren=
=E2=80=99t used for
> bootstrapping on i686-linux and x86_64-linux so you won=E2=80=99t see thi=
s problem
> with =E2=80=98bootstrap-tarballs=E2=80=99 on those platforms.
>
>> -s aarch64-linux -s armhf-linux
>
> OTOH, these platforms do use the static binaries. For some reason which T=
BH
> I didn=E2=80=99t try to investigate, =E2=80=98gawk-static=E2=80=99 cross-=
builds correctly so you=E2=80=99ll only see
> this problem on native builds of =E2=80=98bootstrap-tarballs=E2=80=99 or =
=E2=80=98static-binaries-tarball=E2=80=99.

Oooh, my bad, sorry for the confusion.

>> Substitutes are missing for the following items:
>>   /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0=20=20=
=20=20=20=20=20
>>        armhf-linux
>> /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0=20=20=
=20=20=20=20=20=20
>>       aarch64-linux
>
> Doesn=E2=80=99t this mean that there is indeed a problem with =E2=80=98bo=
otstrap-tarballs=E2=80=99
> on these platforms?

Yes, it does!  But I thought it might be =E2=80=9Csomething else=E2=80=9D.

I fixed it slightly differently in
7d30e6e5c21f5e0b79f73428414fef2dbf75e7a6, followed by the second patch
you had here.  Let=E2=80=99s see how far that brings us towards
=E2=80=99static-binaries-tarball=E2=80=99.

Thank you & sorry for the delay!

Ludo=E2=80=99.


------------=_1632867602-7774-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: bug#50174: closed (Re: bug#50174: [PATCH core-updates-frozen 1/2]
 gnu: make-bootstrap: Fix build of static gawk.)
Message-ID: <handler.50174.D50174.16328675567716.notifdone <at> debbugs.gnu.org>
References: <87a6jw9wdj.fsf_-_@HIDDEN>
 <20210823205127.27102-1-bauermann@HIDDEN>
X-Gnu-PR-Message: they-closed 50174
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50174 <at> debbugs.gnu.org
Date: Tue, 28 Sep 2021 22:20:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1632867602-7774-1"

This is a multi-part message in MIME format...

------------=_1632867602-7774-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#50174: [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of s=
tatic gawk.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 50174 <at> debbugs.gnu.org.

--=20
50174: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50174
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1632867602-7774-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50174-done) by debbugs.gnu.org; 28 Sep 2021 22:19:16 +0000
Received: from localhost ([127.0.0.1]:47249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVLRU-00020O-1P
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 18:19:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mVLRR-000207-Me
 for 50174-done <at> debbugs.gnu.org; Tue, 28 Sep 2021 18:19:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32822)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mVLRM-0000tB-CR; Tue, 28 Sep 2021 18:19:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36412 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mVLRK-0000aX-Dy; Tue, 28 Sep 2021 18:19:08 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: bug#50174: [PATCH core-updates-frozen 1/2] gnu: make-bootstrap:
 Fix build of static gawk.
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <87fstphf6i.fsf@HIDDEN> <2181202.jG5neBWyxe@popigai>
Date: Wed, 29 Sep 2021 00:19:04 +0200
In-Reply-To: <2181202.jG5neBWyxe@popigai> (Thiago Jung Bauermann's message of
 "Tue, 28 Sep 2021 00:39:17 -0300")
Message-ID: <87a6jw9wdj.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50174-done
Cc: 50174-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Thiago,

Thiago Jung Bauermann <bauermann@HIDDEN> skribis:

> Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludovic C=
ourt=C3=A8s=20
> escreveu:
>> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
>> > gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to build=
 natively, at
>> > least for x86_64-linux=C2=B9 and powerpc64le-linux. On both of them, t=
he
>> > problem is the same:
>> >=20
>> > ld: ext.o: in function `load_ext':
>> > /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using
>> > 'dlopen' in statically linked applications requires at runtime the
>> > shared libraries from the glibc version used for linking ld:
>> > /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc
>> > .a(getopt.o): in function `_getopt_internal_r': (.text+0x6e0): multiple
>> > definition of `_getopt_internal_r';
>> > support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5
>> > .1.0/support/getopt.c:404: first defined here
>>=20
>> I don=E2=80=99t see that on x86_64/i686:
>>=20
>> --8<---------------cut here---------------start------------->8---
>> $ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s i68=
6-linux
>
> I=E2=80=99m using the package =E2=80=98static-binaries-tarball=E2=80=99 t=
o expose the issue. IIUC,
> the static binaries (of which =E2=80=98gawk-static=E2=80=99 is one) aren=
=E2=80=99t used for
> bootstrapping on i686-linux and x86_64-linux so you won=E2=80=99t see thi=
s problem
> with =E2=80=98bootstrap-tarballs=E2=80=99 on those platforms.
>
>> -s aarch64-linux -s armhf-linux
>
> OTOH, these platforms do use the static binaries. For some reason which T=
BH
> I didn=E2=80=99t try to investigate, =E2=80=98gawk-static=E2=80=99 cross-=
builds correctly so you=E2=80=99ll only see
> this problem on native builds of =E2=80=98bootstrap-tarballs=E2=80=99 or =
=E2=80=98static-binaries-tarball=E2=80=99.

Oooh, my bad, sorry for the confusion.

>> Substitutes are missing for the following items:
>>   /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0=20=20=
=20=20=20=20=20
>>        armhf-linux
>> /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0=20=20=
=20=20=20=20=20=20
>>       aarch64-linux
>
> Doesn=E2=80=99t this mean that there is indeed a problem with =E2=80=98bo=
otstrap-tarballs=E2=80=99
> on these platforms?

Yes, it does!  But I thought it might be =E2=80=9Csomething else=E2=80=9D.

I fixed it slightly differently in
7d30e6e5c21f5e0b79f73428414fef2dbf75e7a6, followed by the second patch
you had here.  Let=E2=80=99s see how far that brings us towards
=E2=80=99static-binaries-tarball=E2=80=99.

Thank you & sorry for the delay!

Ludo=E2=80=99.


------------=_1632867602-7774-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 23 Aug 2021 20:52:10 +0000
Received: from localhost ([127.0.0.1]:42688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIGvR-0000Qz-CS
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:35540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mIGvM-0000Qm-0Y
 for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 16:52:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48460)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvK-0007Mm-4Q
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:03 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:63078)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mIGvE-0000KC-3X
 for guix-patches@HIDDEN; Mon, 23 Aug 2021 16:52:00 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 3D9B0679
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1629751908; x=1631566309;
 bh=kPxGyJproYxkbVySbjQueetwDLNDFK0K3i9tyvh0vQ4=; b=T5k3j+f+Wxsv
 nebyya6kfkVlWWtVZxB0z+6CLE0Mb3au94xFWog7NnqRRXSQGXwyUOclqYzLSOKE
 CXZR0NWG8j9O30nxrhG6cCs6j+cZYRGzy1Xvw0XOh+dsyVi5ASAsu2S4sPQHwDtE
 /5K2KFS5fTlG6k0+5l/Hp3Quy8P+WcviJphauSLUE+FBfeh5W40zguajarnJdaiu
 pd/3M74qFFlP6Ohp5n0rm+yZNBrhgMdyiB6KOenEeqFoom66BtpBSgUab681iuMe
 pJsFwt2bETNF3cecswhhd038nfrz7fabqG6Kr+ycmM12d6Yu3qfICrM+X4oAYA4L
 eJbWnTFVbLFIy20SBfBZW+LMZyqGpB7GOrRqd5enpdeIch095n1ptuawMyeB0qwJ
 ueihtzGuSAlqI2mwXZoZ3PvzzU62kRMw/7sxanzGZV9cqyYF8SiHMK1aydMAxzID
 AQTT5W22jDUKq7TqjS3BtgSeeNetkYSHj97jxB48xYzgDhU0xDB+Kp3Vu+8h/5Mp
 6ZL3/ERcjSxRiLQAtCFrhRrV9pdiGm5h3EbwjdGvCtyre0NE4J6lacjzn+npZs97
 oXDTuj9dGMgbnsdWQ68XFXMS5cIYn9vbB8JNI5ndAOd4WZwxI2v0t+X1whamVcfg
 nivbuL21Meod8I+uvBrSIK5Tx3Rv7AQ=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id srBTMHvZ0QTf for <guix-patches@HIDDEN>;
 Mon, 23 Aug 2021 22:51:48 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 29B08279
 for <guix-patches@HIDDEN>; Mon, 23 Aug 2021 22:51:47 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 196518A8;
 Mon, 23 Aug 2021 22:51:46 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of
 static gawk.
Date: Mon, 23 Aug 2021 17:51:27 -0300
Message-Id: <20210823205127.27102-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=95.128.36.42; envelope-from=bauermann@HIDDEN;
 helo=mx.kolabnow.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/make-bootstrap.scm (%static-inputs)[finalize-with-ld-flags]:
New function.
[map]<match-lambda>: Add new clause to match three elements.
[map]<gawk>: Add linker option.
* guix/build-system/gnu.scm (static-package): Add ‘#:ld-flags’ keyword
argument.
---

Hello,

gawk for ‘static-binaries-tarball’ is failing to build natively, at least for
x86_64-linux¹ and powerpc64le-linux. On both of them, the problem is the same:

--8<---------------cut here---------------start------------->8---
ld: ext.o: in function `load_ext':
/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using 'dlopen' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal_r':
(.text+0x6e0): multiple definition of `_getopt_internal_r'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:404: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `_getopt_internal':
(.text+0xcc0): multiple definition of `_getopt_internal'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1187: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x8): multiple definition of `optind'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:50: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x4): multiple definition of `opterr'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:55: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o):(.data+0x0): multiple definition of `optopt'; support/libsupport.a(getopt.o):/gnu/store/zy7zwhxxbphqqmigp17j54dpbpz6wr38-glibc-2.33/include/bits/getopt_core.h:59: first defined here
ld: /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/libc.a(getopt.o): in function `getopt':
(.text+0xd20): multiple definition of `getopt'; support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/support/getopt.c:1206: first defined here
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:663: gawk] Error 1
make[2]: Leaving directory '/tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0'
--8<---------------cut here---------------end--------------->8---

This patch fixes it by passing “--allow-multiple-definition” to the linker.

Judging by the CI results, cross-builds seems to be working. I haven’t looked
into what’s different about them.

NB: I wasn’t sure how to write a changelog for ‘%static-inputs’ so I got a bit
creative.

¹ https://ci.guix.gnu.org/build/502639/details

 gnu/packages/make-bootstrap.scm | 14 +++++++++++---
 guix/build-system/gnu.scm       |  8 ++++++--
 2 files changed, 17 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 12e59e9f8383..79eb9d60026f 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -260,10 +260,15 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                     `(modify-phases ,phases
                        (delete 'fix-egrep-and-fgrep)))))))
         (finalize (compose static-package
-                           package-with-relocatable-glibc)))
+                           package-with-relocatable-glibc))
+        (finalize-with-ld-flags (lambda (pkg ld-flags)
+                                  (package-with-relocatable-glibc
+                                   (static-package pkg #:ld-flags ld-flags)))))
     `(,@(map (match-lambda
               ((name package)
-               (list name (finalize package))))
+               (list name (finalize package)))
+               ((name package ld-flags)
+                (list name (finalize-with-ld-flags package ld-flags))))
              `(("tar" ,tar)
                ("gzip" ,gzip)
                ("bzip2" ,bzip2)
@@ -272,7 +277,10 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                ("coreutils" ,coreutils)
                ("sed" ,sed)
                ("grep" ,grep)
-               ("gawk" ,gawk)))
+               ("gawk" ,gawk
+                ;; gawk's gnulib defines some getopt symbols which are also in
+                ;; libc.a so this linker option is needed for a static build.
+                "-Wl,--allow-multiple-definition")))
       ("bash" ,static-bash))))
 
 (define %static-binaries
diff --git a/guix/build-system/gnu.scm b/guix/build-system/gnu.scm
index ea91be5bcd0c..acbd5b3a0de4 100644
--- a/guix/build-system/gnu.scm
+++ b/guix/build-system/gnu.scm
@@ -210,7 +210,7 @@ flags for VARIABLE, the associated value is augmented."
   "A version of P linked with `-static-gcc'."
   (package-with-extra-configure-variable p "LDFLAGS" "-static-libgcc"))
 
-(define* (static-package p #:key (strip-all? #t))
+(define* (static-package p #:key (strip-all? #t) (ld-flags #f))
   "Return a statically-linked version of package P.  If STRIP-ALL? is true,
 use `--strip-all' as the arguments to `strip'."
   (package (inherit p)
@@ -220,7 +220,11 @@ use `--strip-all' as the arguments to `strip'."
                   #:strip-flags '("--strip-unneeded")))))
        (substitute-keyword-arguments a
          ((#:configure-flags flags)
-          `(cons* "--disable-shared" "LDFLAGS=-static" ,flags))
+          `(cons* "--disable-shared" (string-append "LDFLAGS=-static"
+                                                    (if ,ld-flags
+                                                        (string-append " " ,ld-flags)
+                                                        ""))
+                  ,flags))
          ((#:strip-flags flags)
           (if strip-all?
               ''("--strip-all")



------------=_1632867602-7774-1--


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 29 Sep 2021 02:00:02 +0000
Resent-Message-ID: <handler.50174.D50174.163288078228724 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 50174-done <at> debbugs.gnu.org
Received: via spool by 50174-done <at> debbugs.gnu.org id=D50174.163288078228724
          (code D ref 50174); Wed, 29 Sep 2021 02:00:02 +0000
Received: (at 50174-done) by debbugs.gnu.org; 29 Sep 2021 01:59:42 +0000
Received: from localhost ([127.0.0.1]:47379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVOso-0007TD-Hw
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:59:42 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:56606
 helo=ext-mx-out003.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mVOsn-0007T1-KD
 for 50174-done <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:59:42 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id 0ADCD40F2C;
 Wed, 29 Sep 2021 03:59:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1632880774; x=1634695175; bh=hZ6hM9HXuLq+PDhuvZFlSnF2Xim3+nLz3K6
 nhErv0Ns=; b=NgYT5fWjuyZrWyLxs8gJoyvDcaM6pizb+rIWZq4C8dfUYOMr+xe
 KdKZPv5VElTiZYPtpnXhktoX2Yz4AiFTbcajRU8fY8e8fUTLLOYcD3NkUOHeaded
 CUL4hsQTssciU51NmYGTVX49SNWm2PGVR2BykQKbdE6FXx7e7mhZFfPRDZrc3ueE
 URWewavbV3cEiYdJEOjJav5zJRfjqwrQWKDFGpuYXumLAOEy+yYHrjSRMxMcTNKb
 gWHD9ISHCkYBWuculKbx7AbWINo/jBAV5uA/xSvZ5Eqp/pSaTao3XfjPLqw+vDlD
 x5kfxeLkg4BKKZ1YPPZ89eF5ejaWZ/m7PJfUPXR/TDYs+L1a9VJaqHR6gmEZ81cS
 WJg2DAOHXkgL3iulaADHkX2lkAw6MODPA2DLJvTShdPlzojRDYrvZLodfOQzTZT0
 9yPMNnPouOBQ7qxip8zwC+eo4jXx/j8bdsC+WWfFo1pnqrjkYIvHwQG/uKVOMzii
 /lP1Fmvez1AXl6Rm7IoTcSzWTSX9ErrCZG2NAM+p+ZTaOtszp+r1Baui/1rh8dee
 FSSO8MRBHbk+0Mah1/NmSZE/kthSzL3FXH0Jqcf9vOoH5RK36nBCpIGGn66S5tjr
 dzTJw1bUMOzGwH0WeWkl9GOdNMspuYjWPdOxEGKVNL2ynzfTA0tHV7ec=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from ext-mx-out003.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id SzaXfZH3SnMc; Wed, 29 Sep 2021 03:59:34 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id 8F839402EA;
 Wed, 29 Sep 2021 03:59:34 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 1E76DA79;
 Wed, 29 Sep 2021 03:59:33 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Tue, 28 Sep 2021 22:59:27 -0300
Message-ID: <1878955.7f8MCrZ0PT@popigai>
In-Reply-To: <87a6jw9wdj.fsf_-_@HIDDEN>
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <2181202.jG5neBWyxe@popigai> <87a6jw9wdj.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ludo,

Em ter=C3=A7a-feira, 28 de setembro de 2021, =C3=A0s 19:19:04 -03, Ludovic =
Court=C3=A8s=20
escreveu:
> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
> > Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludovic
> > Court=C3=A8s>=20
> > escreveu:
> >> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
> >> > gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to bui=
ld natively, at
> >> > least for x86_64-linux=C2=B9 and powerpc64le-linux. On both of them,=
 the
> >> > problem is the same:
> >> >=20
> >> > ld: ext.o: in function `load_ext':
> >> > /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using
> >> > 'dlopen' in statically linked applications requires at runtime the
> >> > shared libraries from the glibc version used for linking ld:
> >> > /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/li
> >> > bc
> >> > .a(getopt.o): in function `_getopt_internal_r': (.text+0x6e0):
> >> > multiple
> >> > definition of `_getopt_internal_r';
> >> > support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk
> >> > -5
> >> > .1.0/support/getopt.c:404: first defined here
> >>=20
> >> I don=E2=80=99t see that on x86_64/i686:
> >>=20
> >> --8<---------------cut here---------------start------------->8---
> >> $ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s
> >> i686-linux>=20
> > I=E2=80=99m using the package =E2=80=98static-binaries-tarball=E2=80=99=
 to expose the issue.
> > IIUC, the static binaries (of which =E2=80=98gawk-static=E2=80=99 is on=
e) aren=E2=80=99t used
> > for bootstrapping on i686-linux and x86_64-linux so you won=E2=80=99t s=
ee this
> > problem with =E2=80=98bootstrap-tarballs=E2=80=99 on those platforms.
> >=20
> >> -s aarch64-linux -s armhf-linux
> >=20
> > OTOH, these platforms do use the static binaries. For some reason which
> > TBH I didn=E2=80=99t try to investigate, =E2=80=98gawk-static=E2=80=99 =
cross-builds correctly
> > so you=E2=80=99ll only see this problem on native builds of
> > =E2=80=98bootstrap-tarballs=E2=80=99 or =E2=80=98static-binaries-tarbal=
l=E2=80=99.
> Oooh, my bad, sorry for the confusion.

No problem!
=20
> >> Substitutes are missing for the following items:
> >>   /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0
> >>  =20
> >>        armhf-linux
> >>=20
> >> /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0
> >>=20
> >>       aarch64-linux
> >=20
> > Doesn=E2=80=99t this mean that there is indeed a problem with
> > =E2=80=98bootstrap-tarballs=E2=80=99 on these platforms?
>=20
> Yes, it does!  But I thought it might be =E2=80=9Csomething else=E2=80=9D.
>=20
> I fixed it slightly differently in
> 7d30e6e5c21f5e0b79f73428414fef2dbf75e7a6, followed by the second patch
> you had here.=20

Your solution is better indeed. Thanks!

> Let=E2=80=99s see how far that brings us towards =E2=80=99static-binaries=
=2Dtarball=E2=80=99.

According to the CI, x86_64-linux and i686-linux are fixed now. aarch64-
linux failed but that=E2=80=99s because of a bug in QEMU. powerpc64-linux i=
s=20
scheduled to build but there=E2=80=99s a backlog in the CI for some reason.

> Thank you & sorry for the delay!

No problem at all. Thank you for fixing this problem!

=2D-=20
Thanks,
Thiago






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 12 Oct 2021 17:46:02 +0000
Resent-Message-ID: <handler.50174.D50174.16340607524606 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Cc: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 50174-done <at> debbugs.gnu.org
Received: via spool by 50174-done <at> debbugs.gnu.org id=D50174.16340607524606
          (code D ref 50174); Tue, 12 Oct 2021 17:46:02 +0000
Received: (at 50174-done) by debbugs.gnu.org; 12 Oct 2021 17:45:52 +0000
Received: from localhost ([127.0.0.1]:52611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLqZ-0001CD-MS
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:45:51 -0400
Received: from mail-qk1-f178.google.com ([209.85.222.178]:36560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1maLqX-0001Bx-Tu
 for 50174-done <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:45:50 -0400
Received: by mail-qk1-f178.google.com with SMTP id p4so20165432qki.3
 for <50174-done <at> debbugs.gnu.org>; Tue, 12 Oct 2021 10:45:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=U6i2ytC3KRvVb4IlBD+O+fvWv62sgZJFh5xRDQf/WN0=;
 b=BH6wD1Xubq5iImMYx2/KyEX50j1ECLxpu2qqyGeXGfJbjHgfysg9GMwt9NNCmypOn+
 77WXdSAmhnIlRybR8JSF4NHcSVt7qL5xtNZNgW07I/rFarKFcNmnUpkmsasZqyAqZjqT
 +dXHZkfb6MF98WA+UFAwT64YOYV2UXK0UD01zlrLp5+hrV8GfKokZBC9UfKARpzgl3PR
 9XOwXUPdro0nStDdmcyHwaFJSNkP5vFOLvqRKTQ9shb90IPNPZ5uClOr7gCAfwSzi2iF
 9XKAvXf2gBQMe7endIObs4vHua888N4zoJRxi+/a6i0CsZ7Br24RSru59iqlZzvLtFVT
 CJFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=U6i2ytC3KRvVb4IlBD+O+fvWv62sgZJFh5xRDQf/WN0=;
 b=yLy8CvuTbStb9ozoxsXvIFeFbD/6yLVbrA8jOo5VB8Z72Kqx5/k9XbiV+jEdumLpBR
 gXpEkgSwdRk2BkDsdhnzEke/s4FNahqw53PNsbm5aV8boVtN0+78Ml0HdW2RnoGLx9YO
 vvJ/DgfRPXkIuNZUhmZeqJ0ZaBZKP7PYyQZjh/G5WkRyv6od4HtIkYaU3gbYmU3FnETY
 Qn7fUVC6wXZIr0NjfnrK+37fVav+D/E2bsGxsnWhKhlzgVGbCh+dPkZtk7auwXHiJvac
 sVibOrdyg0L4j9NxPNgwJsG/eOZRCRfUk14z5F/JjSciMvMvic0LshkbFJnyD2edmTJR
 G14A==
X-Gm-Message-State: AOAM533vEFH1ASs6fENB0Rr4vtmYmiTTSRqHVQpgrrgwIadClYsBt8im
 DdHzCLA0nMlTeJEBGGsCmwjn7n3U100=
X-Google-Smtp-Source: ABdhPJwfzAGVYm/SohuJ2Yu9QcOHzALi+bX+dSH/pp8a12bfopk8LyJZCZDoicIykS+xIKPsTyuA6Q==
X-Received: by 2002:a37:bb86:: with SMTP id
 l128mr20797285qkf.411.1634060743861; 
 Tue, 12 Oct 2021 10:45:43 -0700 (PDT)
Received: from hurd ([207.35.95.251])
 by smtp.gmail.com with ESMTPSA id i17sm1857392qka.3.2021.10.12.10.45.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Oct 2021 10:45:43 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <2181202.jG5neBWyxe@popigai> <87a6jw9wdj.fsf_-_@HIDDEN>
 <1878955.7f8MCrZ0PT@popigai>
Date: Tue, 12 Oct 2021 13:45:42 -0400
In-Reply-To: <1878955.7f8MCrZ0PT@popigai> (Thiago Jung Bauermann's message of
 "Tue, 28 Sep 2021 22:59:27 -0300")
Message-ID: <87ily2yw55.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Thiago Jung Bauermann <bauermann@HIDDEN> writes:

> Hello Ludo,
>
> Em ter=C3=A7a-feira, 28 de setembro de 2021, =C3=A0s 19:19:04 -03, Ludovi=
c Court=C3=A8s=20
> escreveu:
>> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
>> > Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludovic
>> > Court=C3=A8s>=20
>> > escreveu:
>> >> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
>> >> > gawk for =E2=80=98static-binaries-tarball=E2=80=99 is failing to bu=
ild natively, at
>> >> > least for x86_64-linux=C2=B9 and powerpc64le-linux. On both of them=
, the
>> >> > problem is the same:
>> >> >=20
>> >> > ld: ext.o: in function `load_ext':
>> >> > /tmp/guix-build-gawk-5.1.0.drv-0/gawk-5.1.0/ext.c:59: warning: Using
>> >> > 'dlopen' in statically linked applications requires at runtime the
>> >> > shared libraries from the glibc version used for linking ld:
>> >> > /gnu/store/qmgsfxm3ad5n7bi947n7xw0wq86blqr9-glibc-2.33-static/lib/li
>> >> > bc
>> >> > .a(getopt.o): in function `_getopt_internal_r': (.text+0x6e0):
>> >> > multiple
>> >> > definition of `_getopt_internal_r';
>> >> > support/libsupport.a(getopt.o):/tmp/guix-build-gawk-5.1.0.drv-0/gawk
>> >> > -5
>> >> > .1.0/support/getopt.c:404: first defined here
>> >>=20
>> >> I don=E2=80=99t see that on x86_64/i686:
>> >>=20
>> >> --8<---------------cut here---------------start------------->8---
>> >> $ ./pre-inst-env  guix weather bootstrap-tarballs -s x86_64-linux -s
>> >> i686-linux>=20
>> > I=E2=80=99m using the package =E2=80=98static-binaries-tarball=E2=80=
=99 to expose the issue.
>> > IIUC, the static binaries (of which =E2=80=98gawk-static=E2=80=99 is o=
ne) aren=E2=80=99t used
>> > for bootstrapping on i686-linux and x86_64-linux so you won=E2=80=99t =
see this
>> > problem with =E2=80=98bootstrap-tarballs=E2=80=99 on those platforms.
>> >=20
>> >> -s aarch64-linux -s armhf-linux
>> >=20
>> > OTOH, these platforms do use the static binaries. For some reason which
>> > TBH I didn=E2=80=99t try to investigate, =E2=80=98gawk-static=E2=80=99=
 cross-builds correctly
>> > so you=E2=80=99ll only see this problem on native builds of
>> > =E2=80=98bootstrap-tarballs=E2=80=99 or =E2=80=98static-binaries-tarba=
ll=E2=80=99.
>> Oooh, my bad, sorry for the confusion.
>
> No problem!
>=20=20
>> >> Substitutes are missing for the following items:
>> >>   /gnu/store/3c8gbn2gljj48wihs9h3nxmfwix55wrn-bootstrap-tarballs-0
>> >>=20=20=20
>> >>        armhf-linux
>> >>=20
>> >> /gnu/store/8b6rznm54l6drbs6qfca5bi8yjqbx51f-bootstrap-tarballs-0
>> >>=20
>> >>       aarch64-linux
>> >=20
>> > Doesn=E2=80=99t this mean that there is indeed a problem with
>> > =E2=80=98bootstrap-tarballs=E2=80=99 on these platforms?
>>=20
>> Yes, it does!  But I thought it might be =E2=80=9Csomething else=E2=80=
=9D.
>>=20
>> I fixed it slightly differently in
>> 7d30e6e5c21f5e0b79f73428414fef2dbf75e7a6, followed by the second patch
>> you had here.=20
>
> Your solution is better indeed. Thanks!
>
>> Let=E2=80=99s see how far that brings us towards =E2=80=99static-binarie=
s-tarball=E2=80=99.
>
> According to the CI, x86_64-linux and i686-linux are fixed now. aarch64-
> linux failed but that=E2=80=99s because of a bug in QEMU. powerpc64-linux=
 is=20
> scheduled to build but there=E2=80=99s a backlog in the CI for some reaso=
n.
>
>> Thank you & sorry for the delay!
>
> No problem at all. Thank you for fixing this problem!

Seems Ludovic pushed a derived fix.  Thank you both!

Closing.

Maxim




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Oct 2021 17:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 13:47:51 2021
Received: from localhost ([127.0.0.1]:52651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLsV-0001Jk-9B
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:47:51 -0400
Received: from mail-qk1-f182.google.com ([209.85.222.182]:41769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1maLsU-0001J6-5F
 for control <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:47:50 -0400
Received: by mail-qk1-f182.google.com with SMTP id r15so11973921qkp.8
 for <control <at> debbugs.gnu.org>; Tue, 12 Oct 2021 10:47:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=date:message-id:to:from:subject;
 bh=dWiFmqapOfuN4kovC6MCmlaL7jWlTSSvSUXK4yg1xrc=;
 b=KHT409DNZ0m+qAoFBycCAVR3Go946AY99bzMjlCMYY85jfP+A2CvnID64IB49loblQ
 RAXjbB0szZ8nJrZmZRU6+wD42g+q/hG3wt9AJG6qtU2VN+OvxS5Zwgh+C5w5tF/cT3SA
 dgNlpBaMUSsZZuz9XAcxmDuqwQTfEHck9+fwVaZ6UvSEvFy/QnwFAftRUbV2A2VAVDpe
 Zc7R4rwF4Urn49UkFzeoa31NU2LiL3orF1D6sdHbib1fCgx2xAitl/sOQO1zidFDIez9
 f+R8/s3wZA98RAf10T/ZfKWaduVrLDdjKnhXhI9kvK6UiyTkdHP76t59TcsQQx+s0DQZ
 67QQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:date:message-id:to:from:subject;
 bh=dWiFmqapOfuN4kovC6MCmlaL7jWlTSSvSUXK4yg1xrc=;
 b=rFxzDa0ImrDZdAXnazcsFnZ9q9hjCUouFlg6FHF+GjezSVrtcrvSRlvihj8lopKGZ+
 4RQpXAqpTHGS58Jem41UDTQ3P0s4Bzw3gpuKIf3vOVD7W05ao4S8NBX9SDgZboqMPte1
 9jyPLt8mqsSpl1DlbbzW/WWh0LE7UpmGAw5+VhSdgvDp0pfO03az28iOhqYUh2WxYipk
 pGDU1yh6x91nWNTpjmyWqXeYEmh7CCeF69bWZVT68PX483wkLh+rVQFq5ZoCyyUIiB9z
 icvBz5F0W9QuujrZ8XoLjLafZu3jg+R9hU9joAcQ+LdzreFjxToKY2HnAUzsEiuR2rSI
 +//g==
X-Gm-Message-State: AOAM530z8kKHlN4Mu8GA9vsD86C9Dexu73ERtZr3tkOVWi/sX+vKehrP
 s6PGhg6Us2LlC2KqNXnLAi4e3dbRQtU=
X-Google-Smtp-Source: ABdhPJwIQ/9DPubYSPDh7OY/deTW1QE5RWkmZU7PgmPOHDrKETLme9dGXaSeQ8EX9QKNQTDEBw7BBQ==
X-Received: by 2002:a37:274f:: with SMTP id n76mr21211719qkn.510.1634060864549; 
 Tue, 12 Oct 2021 10:47:44 -0700 (PDT)
Received: from hurd ([207.35.95.251])
 by smtp.gmail.com with ESMTPSA id o21sm2667480qtq.86.2021.10.12.10.47.44
 for <control <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Oct 2021 10:47:44 -0700 (PDT)
Date: Tue, 12 Oct 2021 13:47:43 -0400
Message-Id: <87h7dmyw1s.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: control message for bug #50358
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

unblock 50358 by 50174
quit





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50174] [PATCH core-updates-frozen 1/2] gnu: make-bootstrap: Fix build of static gawk.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 12 Oct 2021 21:55:01 +0000
Resent-Message-ID: <handler.50174.D50174.163407565614166 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50174
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 50174-done <at> debbugs.gnu.org
Received: via spool by 50174-done <at> debbugs.gnu.org id=D50174.163407565614166
          (code D ref 50174); Tue, 12 Oct 2021 21:55:01 +0000
Received: (at 50174-done) by debbugs.gnu.org; 12 Oct 2021 21:54:16 +0000
Received: from localhost ([127.0.0.1]:55034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maPip-0003gF-64
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 17:54:16 -0400
Received: from mx.kolabnow.com ([95.128.36.41]:27808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1maPin-0003f9-Kl
 for 50174-done <at> debbugs.gnu.org; Tue, 12 Oct 2021 17:54:06 -0400
Received: from localhost (unknown [127.0.0.1])
 by mx.kolabnow.com (Postfix) with ESMTP id 3CE06F74;
 Tue, 12 Oct 2021 23:53:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1634075638; x=1635890039; bh=MssTUf+hUYDZNsFVdMTtg+ih2RkE24Ry5hc
 LKabLNzM=; b=QYRklHXDqk9pR+DYpsecQ9s23g/NOT5EwXlvpnCHm6uIadK7Fi2
 ZiOeGPxP4KxcOPhhnZJxlnpl1jMETBb6bmsRi2CppCeDiUV9ICs3N65PcOEKKFIU
 FTTUQRg2jQSJE169YIrM+hYxNlz3Fc2kr1kILFOqlJAmcQR7tBjB/moApH3mxboe
 GQd+pP6sv9P0m6Z58vy1rp42n4+zO3qJZNbKQYNDT2lC7AMv0R11gcHYvxBpbsHh
 N/G/5IAQKxQD3WSAanNuP8bxAFDIZffm+57mZiyzD3wqmSGaBQvHBb8bCWFhcWsM
 LcTsLP2u1Q4Pq+wo2jLTM0vZWJ+i2ZG6/pI+8YylOzFyRT02R3Q6ew4Ckz5xBQnP
 q6w3G68soumQy95JWENr//3u/F52eGYG3P2AKYWI1pVVMDk5vsMIxcsRNAJPZOSW
 R13t3mScKHV1l9UGBqp4/ZaZx1orHa9qmem2NYyG+bnZfCuaUPOD9WfOqny1kMmc
 meWJPibxJuEmjdKBoqm1HqRVxskseCIFABDpS7tJYo3P4hQaoGu/bA85HXZeISdS
 pu331uXC8eWFnKPtWCWwjXits9MHUqyi75Dkg4vQoyvc92/gNM11/QoRmItK4kWF
 Wh259ahvUd+JcPBYM9656xb3KLXhI8oqz4Q5OvimzrCTxapqg+RNCzng=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id u95fA52QHDlX; Tue, 12 Oct 2021 23:53:58 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by mx.kolabnow.com (Postfix) with ESMTPS id 72A56AF9;
 Tue, 12 Oct 2021 23:53:58 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 624E38299D;
 Tue, 12 Oct 2021 23:53:57 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Tue, 12 Oct 2021 18:53:51 -0300
Message-ID: <2806896.9GIfaZo5Wu@popigai>
In-Reply-To: <87ily2yw55.fsf_-_@HIDDEN>
References: <20210823205127.27102-1-bauermann@HIDDEN>
 <1878955.7f8MCrZ0PT@popigai> <87ily2yw55.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Maxim,

Em ter=C3=A7a-feira, 12 de outubro de 2021, =C3=A0s 14:45:42 -03, Maxim Cou=
rnoyer=20
escreveu:
> >> Thiago Jung Bauermann <bauermann@HIDDEN> skribis:
> >> > Em segunda-feira, 27 de setembro de 2021, =C3=A0s 18:38:45 -03, Ludo=
vic
> >> > Court=C3=A8s escreveu:
> >> Thank you & sorry for the delay!
> >=20
> > No problem at all. Thank you for fixing this problem!
>=20
> Seems Ludovic pushed a derived fix.  Thank you both!
>=20
> Closing.

I hadn=E2=80=99t noticed that the issue wasn=E2=80=99t closed. Thank you fo=
r following up=20
on it!

=2D-=20
Thanks,
Thiago







Last modified: Tue, 12 Oct 2021 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.